Subject: I-D Action: draft-campling-ech-deployment-considerations-00.txt

From: [email-masked]
Date: Mon, 07 Mar 2022 11:30:58 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Encrypted Client Hello Deployment Considerations
        Authors         : Andrew J Campling
                          Paul Vixie
                          David Wright
	Filename        : draft-campling-ech-deployment-considerations-00.txt
	Pages           : 10
	Date            : 2022-03-07

Abstract:
   This document is intended to inform the development of the proposed
   Encrypted Client Hello (ECH) standard that encrypts Server Name
   Indication (SNI) and other data.  Data encapsulated by ECH (ie data
   included in the encrypted ClientHelloInner) is of legitimate interest
   to on-path security actors including anti-virus software, parental
   controls and consumer and enterprise firewalls.

   The document includes observations on current use cases for SNI data
   in a variety of contexts.  It highlights how the use of that data is
   important to the operators of private networks and shows how the loss
   of access to SNI data will cause difficulties in the provision of a
   range of services to many millions of end-users.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-campling-ech-deployment-considerations/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-campling-ech-deployment-considerations-00

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts